Summary:	A real-time visual space simulation
Name:		celestia
Version:	1.6.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Sciences/Astronomy
Source0:	http://prdownloads.sourceforge.net/celestia/%{name}-%{version}.tar.gz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Patch0:		celestia-1.6.1-gcc46.patch
Patch1:		celestia-1.6.0-cfg.patch
Patch2:		celestia-1.6.1-zlib.patch
Patch3:		celestia-1.6.1-link.patch
URL:		http://www.shatters.net/celestia/
BuildRequires:	mesaglu-devel
BuildRequires:	cairo-devel
BuildRequires:	gettext-devel
BuildRequires:	libtheora-devel
BuildRequires:	gtk2-devel gtkglext-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	lua-devel
BuildRequires:	desktop-file-utils

%description
Celestia is a free real-time space simulation that lets you experience
our universe in three dimensions. Unlike most planetarium software,
Celestia doesn't confine you to the surface of the Earth. You can
travel throughout the solar system, to any of over 100,000 stars, or
even beyond the galaxy. All travel in Celestia is seamless; the
exponential zoom feature lets you explore space across a huge range of
scales, from galaxy clusters down to spacecraft only a few meters
across. A 'point-and-goto' interface makes it simple to navigate
through the universe to the object you want to visit.

%prep
%setup -q
%patch0 -p0 -b .gcc
%patch1 -p0 -b .cfg
%patch2 -p0 -b .zlib
%patch3 -p0 -b .link

%build
autoreconf -fi
%configure2_5x --with-gtk \
		--disable-rpath \
		--enable-cairo \
		--enable-theora \
		--with-lua
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications \
	--remove-category='Application' \
	--add-category='GTK;Education' \
	--remove-key='Version' \
	%buildroot%_datadir/applications/*.desktop

install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %name %name celestia_constellations

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README 
%attr(755,root,root) %{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Thu Dec 29 2011 supp <supp> 1.6.1-2.mga2
+ Revision: 188809
- rebuild for mga2

* Tue Sep 13 2011 fwang <fwang> 1.6.1-1.mga2
+ Revision: 143023
- more link order fix
- fix link order
- fix include of zlib
- new version 1.6.1
- fix as needed build
- fix build with latest libpng
- br png
- rebuild for new libpng

* Wed Mar 09 2011 mikala <mikala> 1.6.0-3.mga1
+ Revision: 66885
- Remove BuildRoot
- Drop mdk macros
- imported package celestia

